### Function

# RB gst_error_get_error_code

#### Declaration [src]

    int
    rb_gst_error_get_error_code (
      const GError* error
    )

#### Description [src]

Maps a GStreamer error to an `RBPlayerError` error code.

#### Parameters

`error`

  Type: `GError`

  Error received from GStreamer.

  The data is owned by the caller of the function.

#### Return value

Type: `int`

The `RBPlayerError` value to use.